com.digi.xbee.api.models

## Enum ATCommandStatus

- java.lang.Object
- - java.lang.Enum<ATCommandStatus>
  - - com.digi.xbee.api.models.ATCommandStatus

- All Implemented Interfaces:
    Serializable, Comparable<ATCommandStatus>

      public enum ATCommandStatus
      extends Enum<ATCommandStatus>

  Enumerates all the possible states of an AT Command after executing it. `ATCommadResponse` objects will contain an entry of this enumerator indicating the status of the AT Command that was executed.
  See Also:
    `ATCommandResponse`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INVALID_COMMAND`
    `INVALID_PARAMETER`
    `OK`
    `TX_FAILURE`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ATCommandStatus` | `get(int id)` Returns the `ATCommandStatus` associated to the given ID.
    `String` | `getDescription()` Returns the AT Command Status description.
    `int` | `getId()` Returns the AT Command Status ID.
    `String` | `toString()`
    `static ATCommandStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ATCommandStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final ATCommandStatus ERROR

    - #### INVALID_COMMAND

          public static final ATCommandStatus INVALID_COMMAND

    - #### INVALID_PARAMETER

          public static final ATCommandStatus INVALID_PARAMETER

    - #### OK

          public static final ATCommandStatus OK

    - #### TX_FAILURE

          public static final ATCommandStatus TX_FAILURE

    - #### UNKNOWN

          public static final ATCommandStatus UNKNOWN

  - ### Method Detail

    - #### get

          public static ATCommandStatus get(int id)

      Returns the `ATCommandStatus` associated to the given ID.
      Parameters:
        `id` - ID to retrieve the corresponding `ATCommandStatus`.
      Returns:
        The `ATCommandStatus` associated to the given ID.

    - #### getDescription

          public String getDescription()

      Returns the AT Command Status description.
      Returns:
        AT Command Status description.

    - #### getId

          public int getId()

      Returns the AT Command Status ID.
      Returns:
        The AT Command Status ID.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ATCommandStatus>`

    - #### valueOf

          public static ATCommandStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ATCommandStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ATCommandStatus c : ATCommandStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.